Page MenuHomePhabricator

[llvm-rc] Add user-defined resources parsing ability. [8/8]
ClosedPublic

Authored by mnbvmar on Aug 22 2017, 3:24 PM.

Details

Summary

This allows llvm-rc to parse user-defined resources (ref: msdn.microsoft.com/en-us/library/windows/desktop/aa381054(v=vs.85).aspx). These statements either import files, or put the specified raw data in the resulting resource file.

Diff Detail

Repository
rL LLVM

Event Timeline

ecbeckmann edited edge metadata.Aug 22 2017, 4:05 PM

Looks fine to me.

mnbvmar updated this revision to Diff 112451.Aug 23 2017, 2:24 PM
mnbvmar retitled this revision from [llvm-rc] Add user-defined resources parsing ability. to [llvm-rc] Add user-defined resources parsing ability. [8/8].

Change temporary files into pipes in testing infrastructure.

rnk accepted this revision.Sep 21 2017, 3:29 PM

lgtm

This revision is now accepted and ready to land.Sep 21 2017, 3:29 PM
This revision was automatically updated to reflect the committed changes.